=== docs/requirements.txt ===
myst-parser==1.0.0
sphinx-rtd-theme>=1.2.2
