=== debian/changelog ===
pytest-watcher (0.4.3-2) unstable; urgency=medium

  * d/control, d:copyright: Move to Debian email.
  * d/copyright: Fix license entry

 -- EnkelenaH <enkelenah@debian.org>  Wed, 13 Aug 2025 22:50:01 +0200

pytest-watcher (0.4.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1108058)

 -- EnkelenaH <enkelena.h@gmail.com>  Tue, 17 Jun 2025 13:30:28 +0200
