=== debian/control ===
Source: pytest-watcher
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 EnkelenaH <enkelenah@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python-pytest-doc <!nodoc>,
 python3-all,
 python3-freezegun <!nocheck>,
 python3-myst-parser <!nodoc>,
 python3-poetry-core,
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-watchdog <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/olzhasar/pytest-watcher
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-watcher
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-watcher.git
Testsuite: autopkgtest-pkg-python

Package: python-pytest-watcher-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Automatically rerun tests (pytest by default) when code changes (Documentation)
 pytest-watcher is a utility designed to automatically re-run tests
 (pytest by default) whenever your Python code changes.
 .
 This package contains the documentation for python3-pytest-watcher.

Package: python3-pytest-watcher
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pytest-watcher-doc,
Description: Automatically rerun tests (pytest by default) when code changes
 pytest-watcher is a utility designed to automatically re-run tests whenever
 your Python code changes. By default, it uses pytest as the test runner but
 also supports alternatives like tox. It works out-of-the-box for most
 Python projects and uses the operating system’s native file monitoring APIs -
 on supported systems - rather than relying in polling.
 .
 To ensure tests are executed against the latest code, it supports a
 configurable delay that accommodates code formatters and other post-processing
 tools. The utility also features an interactive mode with keyboard shortcuts,
 supports customizable file patterns to watch or ignore, and provides options
 for running tests immediately upon startup or clearing the screen before each
 test run.
 .
 pytest-watcher is a modern alternative to the now-unmaintained pytest-watch
 project. While it was inspired by pytest-watch, it is not a fork and
 introduces several improvements in configuration, behavior, and compatibility.
