=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-freezegun,
 python3-pytest,
 python3-pytest-mock,
 @,
Restrictions: allow-stderr
